posté le 21/12/2007 à 22h58
En lisant ce billet de La Fraise, j'ai appris que Lâm était parti.
En lisant les explications de Lâm, je suis retombé sur le blog de Patrice.
En lisant le blog de Patrice, j'ai appris qu'il avait encore des idées.
En lisant son nouveau projet, j'ai aussi découvert les imprimantes 3D.



Ou encore cette vidéo.
C'est beau la technologie quand même shocked
posté le 21/12/2007 à 10h50
Une petite série de 12 vidéos techniques et sympathiques que j'ai vu passer sur WRI.
Ca parle de référencement et de noms de domaines, et ça commence ici :



Vous retrouverez toutes les vidéos ici.
posté le 20/12/2007 à 15h48
J'ai continué à m'amuser un peu avec ma PSP, en rétrogradant le firmware en version 1.5, ce qui permet d'exécuter des programmes "homebrew" depuis la carte mémoire.
Je vous épargne les détails techniques pour effectuer cette manipulation, d'autres sites en parlent mieux que moi, et ça ne semble pas trop plaire à Sony...

Par contre ce qui est très intéressant, c'est de voir tout ce que la communauté "open source" a réalisé sur cette console.
Il existe par exemple un client ssh, qui permet de se connecter à partir d'un point d'accès Wi-Fi sur son serveur préféré cheesy   



On trouve également beaucoup d'émulateurs, qui permettent de faire du rétro-gaming... parfois pas si rétro que ça, puisque la console peut même émuler des jeux PlayStation.
Un petit exemple avec un émulateur Super Nintendo :



Enfin, il est également possible de développer ses propres programmes !
Le site PS2DEV.ORG fournit un script très pratique, le "psptoolchain", qui permet de déployer facilement l'environnement de développement PSP.
Ca prend un peu de temps à compiler, mais c'est beaucoup plus pratique que de tout faire à la main... En plus certains patches sont appliqués à la volée.
Prévoyez un peu de place quand même, le script a téléchargé et généré près de 1Go de fichiers !
En effet, il installe :
  • binutils-2.16.1
  • gcc-4.1.0
  • gdb-6.4
  • newlib-1.15.0
  • psplinkusb
  • pspsdk (qui fourni des primitives pour interagir avec la PSP)
Avant tout, assurez vous d'avoir les paquets suivants :

# apt-get install build-essential autoconf automake bison flex libncurses5-dev libreadline-dev libusb-dev texinfo

Voici ensuite les étapes que j'ai suivi :

$ svn co svn://svn.pspdev.org/psp/trunk/psptoolchain
$ cd psptoolchain
# ./toolchain-sudo.sh


Chez moi, j'ai juste eu à modifier le fichier "scripts/004-newlib-1.15.0.sh" avant de lancer le toolchain, car ce script ne fonctionnait pas.
Voici ce que j'ai modifié :

diff -u a/psptoolchain/scripts/004-newlib-1.15.0.sh b/psptoolchain/scripts/004-newlib-1.15.0.sh
--- a/psptoolchain/scripts/004-newlib-1.15.0.sh 2007-12-20 15:18:46.000000000 +0100
+++ b/psptoolchain/scripts/004-newlib-1.15.0.sh 2007-12-18 22:40:36.000000000 +0100
@@ -17,4 +17,4 @@
  ../configure --prefix="$PSPDEV" --target="psp" || { exit 1; }

  ## Compile and install.
- make clean && make -j 2 && make install && make clean || { exit 1; }
+ make clean && make MAKEINFO=makeinfo -j 2 && make install && make clean || { exit 1; }

Ensuite il existe un script similaire qui permet de compiler les bibliothèques pratiques :
  • bzip2
  • freetype
  • jpeg
  • libbulletml
  • libmad
  • libmikmod
  • libogg
  • libpng
  • libpspvram
  • libTremor
  • libvorbis
  • lua
  • pspgl
  • pspirkeyb
  • SDL
  • SDL_gfx
  • SDL_image
  • SDL_mixer
  • SDL_ttf
  • smpeg-psp
  • sqlite
Bref, de quoi bien s'occuper déjà !
Les étapes sont presque les mêmes :

$ svn co svn://svn.pspdev.org/psp/trunk/psplibraries
$ cd psplibraries
# ./libraries-sudo.sh


Enfin, je vous conseille aussi de récupérer le répertoire "pspware" qui contient beaucoup d'exemples de code, ainsi que la bibliothèque libcurl :

$ svn co svn://svn.pspdev.org/pspware/trunk/libcurl
$ cd libcurl
# LDFLAGS="-L$(psp-config --psp-prefix)/lib -L$(psp-config --pspsdk-path)/lib" \
                LIBS="-lc -lpspnet_inet -lpspnet_resolver -lpspuser" \
                ./configure --host=psp --disable-shared --prefix=$(psp-config --psp-prefix)
# make CFLAGS=-G0 && make install


Ensuite à vous les joies de la cross-compilation PSP.

Pour commencer, je me suis inspiré du Makefile de ce jeu, ainsi que des exemples, pour porter mon programme de calcul Eternity 2 sur la PSP laugh
Et ça marche !



Comme j'utilise déjà SDL, le portage n'était pas trop compliqué...
J'ai juste eu à :
  • changer la résolution
  • me passer des timers SDL qui ne fonctionnent pas
  • surcharger les "printf()" par les fonctions du SDK
  • me passer de la fonction "uname()" (dommage, je serai curieux de voir ce qu'elle renvoie)
  • utiliser le double buffer pour pas que ça clignote trop
Par contre je n'ai pas réussi à faire fonctionner le réseau pour envoyer les résultats (mais d'après ce que j'ai lu sur les forums, c'est assez compliqué si on veut supporter le WPA).
Bon d'accord ça sert à rien, mais c'est classe cool
posté le 17/12/2007 à 00h58
Extrait de la chronique de Jean-Luc Lemoine dans l'émission On n'est pas couché.



C'est du grand Nikos Aliagas quand même laugh
posté le 16/12/2007 à 21h44
Comme je suis plutôt satisfait de l'audience sur ma première application Facebook, j'ai décidé d'en développer d'autres.
Pour commencer et pour faire simple, j'ai simplement adapté ma première application à d'autres sports :



Si ça vous intéresse, et si vous avez un compte Facebook, ça se passe ici :
Prochaine étape : il faut que je regarde comment je peux rentabiliser ces applications si l'audience se confirme grin
posté le 08/12/2007 à 19h57
Tout à l'heure j'entendais à la radio que le Téléthon 2007 était en retard sur les dons de l'année dernière, notamment car beaucoup d'évènements ont été annulés à cause de la mauvaise météo... c'est ballot !

La France se mobilise - Faire un don - Téléthon 2007

Du coup, j'ai refais un tour sur le site internet, et cette année ils ont mis le paquet pour les webmasters.
En plus des traditionnelles bannières, on a à notre disposition :
  • Encore plus de bannières, dans toutes les résolutions possibles.
  • Des mini-formulaires au format bannière.
  • Plusieurs e-mailings.
  • Des logos et affiches.
  • Un widget affichant les dons collectés.
  • Des liens textes.
  • Mini sites-webs.
Et surtout, la possibilité pour le webmaster de créer une communauté, afin de suivre les dons générés par son ou ses sites.

Vous savez ce qu'il vous reste à faire smiley
posté le 07/12/2007 à 17h36
Il y a quelques jours, j'ai développé ma première application Facebook.

Les premiers résultats sont plutôt bons :



Sur ces 83 utilisateurs, 61 ont déjà fait au moins un pronostic.
En cliquant sur "More stats", j'ai accès à plus de détails, notamment sur la dernière journée :



Le gros problème, c'est que ces statistiques ne sont pas mise à jour de façon très régulières...

Mon application a été acceptée dans le "Product Directory" Facebook, qui liste toutes les applications disponibles.
J'étais agréablement surpris car l'application n'est disponible qu'en français, et je n'étais pas sûr que ça soit compatible avec cet annuaire.

Sinon c'est assez sympa de voir le modèle viral fonctionner, les gens invitent facilement leurs amis à les rejoindre sur ce type d'application cheesy
posté le 06/12/2007 à 19h37
Tiens Nono, prends-en de la graine !
posté le 06/12/2007 à 03h00
Aujourd'hui (enfin hier quoi...) j'ai reçu la PSP que j'ai gagnée au concours de télésites.
Et oui, je n'arrête pas de recevoir des colis ! En plus ça tombe bien, c'était mon anniversaire wink
Il s'agit d'une PSP "Ceramic White" avec un Memory Stick de 2 Go.
Comme je n'ai pas encore de jeux (ils sont quand même culottés de vendre une console sans jeux), j'ai patienté en découvrant les fonctionnalités multimédias de la bête.
Pour ceux qui ne connaissent pas le produit (comme moi il y a encore quelques heures), je résume : un grand écran LCD, connectique USB, WiFi et lecture des images, musiques et vidéos...

Par contre le coupon inclus dans la boite pour télécharger le logiciel Windows de synchronisation était périmé... ça tombe bien je préfère tout faire sous Linux cool
La console est reconnue comme un périphérique USB mass storage, donc ça passe tout seul avec le module usb-storage. Il faut juste allumer la console et aller explicitement dans le menu "Paramètres - Connexion USB".
Par défaut, la console ne crée pas les répertoires pour les images, musiques et vidéos, donc il vaut mieux préalablement formater le Memory Stick depuis la console, dans le menu "Paramètres systèmes".
Ensuite, peut copier directement ses MP3 dans le répertoire "music" et les images JPEG dans le répertoire "picture" (je n'ai testé que ces formats pour l'instant).
La navigation sur la console et dans les médias est agréable.

Pour ce qui est de la vidéo c'est un peu plus compliqué.
La console ne lit nativement que certains codecs (et encore elle est capricieuse sur le format du fichier et la résolution).
FFmpeg et mencoder intègrent normalement ce qu'il faut pour créer des fichiers compatibles.
J'ai retenu FFmpeg, avec une ligne de commande honteusement inspirée de ce qui est ici : http://gentoo-wiki.com/HOWTO_PSP.

# créer une vidéo compatible PSP en format 16/9
ffmpeg -title "titre de la vidéo" -i "source.avi" -f psp -r 29.97 -b 768k -ar 24000 -ab 64k -s 368x208 "m4v00001.mp4"

# créer la vignette associée
ffmpeg -y -i "source.avi" -f image2 -ss 50 -vframes 1 -s 160x120 -an "m4v00001.thm"

La résolution pour une vidéo en 4/3 doit être 320x240. La vignette doit toujours avoir le format 160x120 (elle est donc déformée pour une vidéo 16/9).
La vidéo doit avoir un nom de la forme "m4v*.mp4", et être placée dans le répertoire "video" (c'est logique)...
Sauf que si vous voulez avoir quelque chose de plus classe, vous pouvez créer une vignette avec la deuxième commande, et placer les fichier (vidéo et vignette) dans le répertoire "mp_root/100mnv01". Dans ce cas, la console affiche la vignette dans l'explorateur, en aperçu de la vidéo.

Un autre truc sympa, Google Vidéo permet de télécharger les vidéos au format MP4 compatible PSP.

Enfin, j'ai perdu un peu de temps à configurer le WiFi. En partie parce que ma clef WPA est très compliquée (Nono pourra confirmer rolleyes) et que c'est très long à taper au clavier virtuel (comme sur la Wii)... mais aussi parce que la console n'est pas compatible avec le mode TKIP + AES proposé par Free. J'ai donc du "rétrograder" en AES simple.
Je n'ai pas été convaincu par le navigateur Web intégré, ce qui est dommage car la résolution de l'écran devrait permettre de faire mieux : c'est assez lent et on ne peut pas zoomer/dézoomer comme sur la Wii, donc on passe donc son temps à défiler undecided

En bref, je n'ai pas encore de jeux, mais je suis vraiment ravi des fonctionnalités déjà disponibles, ça fait un bon compagnon de voyage !
posté le 06/12/2007 à 02h19
Hier j'ai reçu le gamepad que j'ai commandé sur internet : le Mayflash USB Fighting Stick :



En fait ce genre de manettes coûte assez cher, donc j'ai mis du temps à trouver un produit à un prix raisonnable.
Quand je suis tombé sur cette manette la première fois, c'était sur le site du constructeur et je n'arrivais pas à la trouver un revendeur en zone Euro.
J'ai directement écris à la société sans trop d'espoirs, et ils m'ont répondu de façon très aimable, en me précisant que le produit était en cours de fabrication.
Il y a quelques jours, je l'ai finalement commandée sur le site ConsoleShop qui propose des tarifs et des frais de ports très corrects.

La manette est assez imposante (28 x 21 x 5 cm) et massive (le fond est renforcé avec une plaque de fer) et le tout inspire donc confiance. C'est confortable et ça ne bouge pas une fois posé sur le bureau cheesy
Les boutons et le stick sont de qualité correcte, mais ce n'est évidemment pas comparable à une vraie borne d'arcade...
Le principal reproche que je pourrais lui faire est que le stick est un peu petit.
Le reste est très complet, avec 10 boutons (dont les boutons 9 et 10 idéalement placés pour les fonctions "coin" et "start"), et une fonction auto qui évite de se détruire les doigts sur les shoot 'em up laugh
En plus le gamepad est directement reconnu comme une manette USB standard.
Il y a aussi une connectique PS2/PS3 dont je n'ai pas besoin mais qui rend ce produit encore plus universel.

A moi les parties de Street Fighter Alpha 2 sur GGPO.net !
posté le 01/12/2007 à 03h02
Je ne sais pas pourquoi... mais j'ai le pressentiment que je ne suis pas près de recevoir mon colis rolleyes


Infos TiBlog

Pseudo : Royale
Titre : Le blog de Royale
Description : Le blog de l'administrateur de TiBlog.fr où vous trouverez quelques détails techniques sur le fonctionnement de ce site.

Créer un blog !

blog gratuit

Recherche

Photo